﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Shapes.Base
{
    // abstract class must be derived, sealed class cannot be derived
    public abstract class Shape : INamed, IWithArea
    {
        /* private*/ string name;

        public string Name
        {
            get
            {
                return name;
            }
            protected set
            {
                name = value;
            }
        }

        public abstract double CalculateArea();

        public override string ToString()
        {
            return Name + ": " + CalculateArea().ToString("0.00000");
        }
    }
}
