﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Xml.Linq;
using System.Text;
using System.IO;
using System.Xml;

namespace XMLData
{
    class Program
    {
        static void Main(string[] args)
        {            
            FileInfo data = new FileInfo("d:\\stud.txt");

            StreamReader reader = data.OpenText();

            reader.ReadLine();

            XElement students = new XElement("Students");

            while (!reader.EndOfStream)
            {
                var fields = reader.ReadLine().Split(new char[] { ':' }, StringSplitOptions.RemoveEmptyEntries).Select(f => f.Trim()).ToArray();
                var name = fields[2].Split(new char[] {','});

                XElement student =
                    new XElement("Student",
                        new XAttribute("Name", name[1].Trim()),
                        new XAttribute("Surname", name[0].Trim()),
                        new XAttribute("UCO", fields[1]),
                        new XAttribute("Study", fields[4]),
                        new XAttribute("GroupNumber", fields[5]),
                        new XAttribute("Gender", fields[6].Equals("1") ? "male" : "female"));

                students.Add(student);
            }

            reader.Dispose();

            XmlWriterSettings settings = new XmlWriterSettings() { Indent = true };

            using (var w = XmlWriter.Create("d:\\students.xml", settings))
            {
                students.WriteTo(w);
            }
        }
    }
}
